
var lWarn = {logln:function (o){}}; 
var lInfo = {logln:function (o){}};

var LOGFILE_NAME = "sr-config.log";
lWarn = new Logger(LOGFILE_NAME);
lInfo = new Logger(LOGFILE_NAME);


function getFeed() {
	var sString=Property.getNode('/system/version/distroVersion').getValue();
	if (sString.indexOf('devel')>=0)
		return 0;
	if (sString.indexOf('test')>=0)
		return 1;
	if (sString.indexOf('beta')>=0)
		return 2;
	if (sString.indexOf('alpha')>=0)
		return 2;
	
	return 3;
}

function storeSubParameter(path, value) {
    try 
    {
        lInfo.logln("StoreSubParameter Path " + path  + " value " + value + " type " + typeof(value));
        Property.setProperty(path, value);
        Property.setFlag(path, 'ARCHIVE', true);
    }
    catch (e)
    {
        lWarn.logln("Fehler beim StoreSubParameter " + e + " Path " + path  + " value " + value);
    }        
}

if (raisedEvent.name=='system-addon-scene-responder.startImport') {
	
	switch (getFeed()) {
	case 0:
		lInfo.logln('Start SQL Import - dev');
		new Event("system-addon-scene-responder.sqlimport-dev",{}).raise();
		break;
	case 1:
		lInfo.logln('Start SQL Import - alpha');
		new Event("system-addon-scene-responder.sqlimport-alpha",{}).raise();
		break;
	case 2:
		lInfo.logln('Start SQL Import - beta');
		new Event("system-addon-scene-responder.sqlimport-beta",{}).raise();
		break;
	default:
		lInfo.logln('Start SQL Import');
		new Event("system-addon-scene-responder.sqlimport",{}).raise();
		break;
	}
		
} else {
	lInfo.logln('SQL Import was done with success=' + raisedEvent.parameter.success);	
	new Event('system-addon-scene-responder.answer',{result:true,error:'',type:'saveDB'}).raise();
}